This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 180998 - kernel 2.6.15-1.1831_FC4 makes laptop suspend a loosing proposition
kernel 2.6.15-1.1831_FC4 makes laptop suspend a loosing proposition
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-11 00:58 EST by Michal Jaegermann
Modified: 2015-01-04 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 17:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a fragment of dmesg showing up one susped/wakup cycle (5.25 KB, text/plain)
2006-02-11 00:58 EST, Michal Jaegermann
no flags Details
full dmesg output from boot and through one suspend/wakup cycle (19.61 KB, text/plain)
2006-02-11 01:00 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2006-02-11 00:58:38 EST
Description of problem:

While I was able to suspend a laptop pretty reliably, if in a somewhat hacky
way, with 2.6.15-1.1830_FC4 this practically become impossible with
2.6.15-1.1831_FC4.  I mean that laptop does suspend with the later one but
on a wakeup more often than not a laptop on which I was testing that just
reboots and there are no traces in logs what happened.

From time to time it does return from a suspension and then in logs
there is a new error which I have never seen before.  Namely this shows up:

Yenta O2: res at 0x94/0xD4: 00/ca
Yenta O2: enabling read prefetch/write burst
    ACPI-0265: *** Error: No installed handler for fixed event [00000002]
Restarting tasks... done

A fragment of dmesg showing up a full, succesful, suspend/wakeup cycle
is attached.  Some of what is showing up there are results of "pre" and
"post" actions in a helper script.

When talking "hacky" above I mean that I have to do 'modprobe -r button'
in my helper script called on an ACPI event or otherwise a machine will go
into a loop of wakeup/suspend which is hard to break if it will not crash
by itself.  There are also other things in this script which remove and
insert USB support modules, change consoles to restore video, do other
cleanups.

Note: at this moment the laptop lost ability to light up its screen on
a power up and to POST and it has to be send for repairs.  I just saved
some log data before that happened.  I do hope that this is a coincidence
and not results of trying 2.6.15-1.1831_FC4.

Version-Release number of selected component (if applicable):
kernel 2.6.15-1.1831_FC4
Comment 1 Michal Jaegermann 2006-02-11 00:58:38 EST
Created attachment 124539 [details]
a fragment of dmesg showing up one susped/wakup cycle
Comment 2 Michal Jaegermann 2006-02-11 01:00:17 EST
Created attachment 124540 [details]
full dmesg output from boot and through one suspend/wakup cycle
Comment 3 Michal Jaegermann 2006-02-11 01:25:20 EST
See also https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=154046#c17
for problems similar like in this report but with earlier kernels.
Comment 4 Michal Jaegermann 2006-03-07 22:29:25 EST
The laptop in question came back from repairs; with a new motherboard
and a newer BIOS.  Not that much newer but still.  The previous one
was "Version: R01-A0R, Release Date: 01/29/2003" and a replacement is
"Version: R01-A1D, Release Date: 05/30/2003".  Probably this difference
accounts for disappearance of "ACPI-0265" error and the laptop now
suspends again with 2.6.15-1.1831_FC4 and with 2.6.15-1.1833_FC4.

The catch is, of course, that with older kernels R01-A0R BIOS was good
enough and now is not.  Still, should that be closed?  A backtrace with
"sleeping function called from invalid context" is still there like before.
Comment 5 Dave Jones 2006-03-09 17:54:14 EST
The backtraces will disappear when I backport an FC5 kernel to FC4.
They should be harmless and just informational anyway, and given we don't really
expect suspend to work in releases < FC5, you're pretty lucky to have gotten it
to work at all :)
Comment 6 Michal Jaegermann 2006-03-09 20:29:20 EST
> ... and given we don't really expect suspend to work in releases < FC5
> you're pretty lucky to have gotten it to work at all :)

Pssst! Don't tell that to my wife.  I will be run out of town. :-)

Especially that an old Toshiba was doing suspend, with APM - which 
is not an option here, many years ago.  Yes, I know ...

Note You need to log in before you can comment on or make changes to this bug.